# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\Users\ci\AppData\Local\Temp\airflowtmpe724o4a_\15add698-2a3f-4ec8-a627-e5a2dda4b97a\src\buildscripts\condarecipe.local, last modified Mon Aug  5 14:12:41 2024
# ------------------------------------------------

package:
  name: numba
  version: 0.61.0dev0
source:
  path: C:\Users\ci\AppData\Local\Temp\airflowtmpe724o4a_\15add698-2a3f-4ec8-a627-e5a2dda4b97a\src
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
  ignore_run_exports:
    - tbb
  number: '180'
  script_env:
    - PY_VCRUNTIME_REDIST
  string: np2.0py3.9hb832444_gfb0caf6b5_180
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2024.7.2 haa95532_0
    - intel-openmp 2023.1.0 h59b6b97_46320
    - libiconv 1.16 h2bbff1b_3
    - libxml2 2.10.4 h0ad7f3c_2
    - llvmlite 0.44.0dev0 py39h9a6739d_95
    - lz4-c 1.9.4 h2bbff1b_1
    - mkl 2023.1.0 h6b88ed4_46358
    - mkl-service 2.4.0 py39h2bbff1b_1
    - mkl_fft 1.3.8 py39h2bbff1b_0
    - mkl_random 1.2.4 py39h59b6b97_0
    - numpy 2.0.1 py39h055cbcc_0
    - numpy-base 2.0.1 py39h65a83cf_0
    - openssl 3.0.14 h827c3e9_0
    - pip 24.0 py39haa95532_0
    - python 3.9.19 h1aa4202_1
    - setuptools 72.1.0 py39haa95532_0
    - sqlite 3.45.3 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tbb-devel 2021.8.0 h59b6b97_0
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h2eaa2aa_4
    - vs2015_runtime 14.29.30133 h43f2093_4
    - wheel 0.43.0 py39haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
    - zstd 1.5.5 hd43e919_2
  run:
    - llvmlite >=0.44.0dev0,<0.44
    - numpy >=1.22.3
    - python >=3.9,<3.10.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
  run_constrained:
    - cuda-python >=11.6
    - cuda-version >=11.2
    - cudatoolkit >=11.2
    - libopenblas !=0.3.6
    - scipy >=1.0
    - tbb >=2021.6
test:
  requires:
    - cffi
    - ipykernel
    - ipython
    - jinja2
    - scipy
    - setuptools
    - tbb >=2021.6
about:
  home: https://numba.pydata.org/
  license: BSD
  license_file: LICENSE
  summary: a just-in-time Python function compiler based on LLVM
extra:
  copy_test_source_files: true
  final: true
